Skip to main content

Change a device password

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/device-password/:extId/change

Since: 8.2511.0

Required permission(s): AccessControl.CredentialModify or SelfAdmin Role

Changes the device password of the specified credential belonging to the given user.

The oldPassword parameter in the request body is mandatory when a self-admin user changes their own password. When the caller changes the password of another user, the oldPassword parameter should be omitted and will be ignored.

This operation is not available when the password policy has resetCodeEnabled set to true.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the device password credential.

    Example: cred-123

Body

required
    oldPassword string

    The old password. This parameter has to be omitted when the caller changes the password of someone else.

    newPassword stringrequired

    Possible values: non-empty

    The new password to be set.

Responses

Device password changed successfully

Loading...